# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit games eutils

MY_PN="tf"
MY_PV="${PV//./_}"

DESCRIPTION="Stick more enemies and become much stronger. Sticky 2D shooter, 'TUMIKI Fighters.'"
HOMEPAGE="http://www.asahi-net.or.jp/~cs8k-cyu/windows/tf.html"
SRC_URI="http://www.asahi-net.or.jp/~cs8k-cyu/windows/${MY_PN}${MY_PV}.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86"

DEPEND="dev-lang/dmd-bin
	media-libs/sdl-d
	media-libs/opengl-d
	dev-libs/libbulletml-d"

S="${WORKDIR}/${MY_PN}"

src_unpack(){
	unpack ${A}
	epatch ${FILESDIR}/${MY_PN}-${PV}-gentoo.patch
}

src_compile() {
	emake || die
}

src_install() {
	dogamesbin tfighters

	local datadir=${GAMES_DATADIR}/${MY_PN}
	dodir ${datadir}
	cp -r barrage enemy field sounds stage tumiki ${D}/${datadir}

	if [ ! -e ${GAMES_STATEDIR}/${MY_PN}.prf ]
	then
		dodir ${GAMES_STATEDIR}
		touch ${D}/${GAMES_STATEDIR}/${MY_PN}.prf
	fi

	dodoc readme*
	prepgamesdirs
}

pkg_postinst() {
	chmod ug+rw ${GAMES_STATEDIR}/${MY_PN}.prf
}
